﻿using System;
using System.Windows.Forms;
using NationalInstruments.DAQmx;

namespace Tmp36App
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnGetData_Click(object sender, EventArgs e)
        {
            Task analogInTask = new Task();

            AIChannel myAIChannel;

            myAIChannel = analogInTask.AIChannels.CreateVoltageChannel(
                "dev1/ai0",
                "myAIChannel",
                AITerminalConfiguration.Rse,
                0,
                5,
                AIVoltageUnits.Volts
                );

            AnalogSingleChannelReader reader = new AnalogSingleChannelReader(analogInTask.Stream);

            double DaqValue = reader.ReadSingleSample();

            double tmp36Value = DaqValue * 100 - 50;

            txtTempData.Text = tmp36Value.ToString("0.00");
        }
    }
}